---
type: api
title: Schedule the Privilege Monitoring Engine
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-schedulemonitoringengine
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/operation/operation-schedulemonitoringengine
products:
  - Kibana
---

# Schedule the Privilege Monitoring Engine

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/entity_analytics/monitoring/engine/schedule_now`
- `POST` `/s/{space_id}/api/entity_analytics/monitoring/engine/schedule_now`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana-serverless/authentication#apikeyauth)

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

**Deprecated in 9.4.0.** Schedules the Privilege Monitoring Engine to run as soon as possible, triggering an immediate monitoring cycle.

## Responses

#### `200`

Successful response

`application/json`

- `success` (boolean)
  Indicates the scheduling was successful
#### `409`

Conflict - Monitoring engine is already running

`application/json`

- `message` (string)
  Error message indicating the engine is already running
## Code Examples

#### Console

```console
POST /api/entity_analytics/monitoring/engine/schedule_now
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/entity_analytics/monitoring/engine/schedule_now"
```

## Response Examples

#### Engine scheduled successfully

```json
{
  "success": true
}
```

#### Engine is already running

```json
{
  "message": "Monitoring engine is already running"
}
```

